#!/bin/sh
#emuname=mbox 0.20 beta
#ecminfofile=ecm.info

remove_tmp () {
	rm -rf /tmp/gbox.ver /tmp/sc* /tmp/pid.info /tmp/share.info /tmp/share.onl 
	rm -rf /tmp/ecm.info /tmp/emm.info /tmp/pmt.tmp /tmp/debug.txt /tmp/online.log 
	rm -rf /tmp/csonline.txt
}

setup_gbox () {
	set -- $(/sbin/ifconfig | grep "eth0" -A 1 | grep "inet" | cut -d " " -f 12 | cut -d ":" -f 2)
	sed 's/My-IP/'$1'/g' /var/keys/gbox_cfg.orig> /var/keys/gbox_cfg
	sed 's/My-IP/'$1'/g' /var/keys/cwshare.cfg.orig> /var/keys/cwshare.cfg
	sed 's/My-IP/'$1'/g' /var/keys/cs2gbox.cfg.orig> /var/keys/cs2gbox.cfg
}

case "$1" in
	start)
		remove_tmp
		setup_gbox
		sleep 1
	        if [ -e /var/bin/cs2gbox ];then
                        /var/bin/cs2gbox &
                        sleep 2
                fi
		/var/bin/mbox  /var/keys/mbox.cfg &
		sleep 3
	;;
	stop)
		touch /tmp/gbox.kill
		killall -9 mbox
		killall -9 cs2gbox
		sleep 2
		remove_tmp
	;;
	*)
		$0 stop
		exit 1
	;;
esac

exit 0
